
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <errno.h>

#define APPLICATION_NAME "VALO-CD"

int main() {

  char *temp = getenv("TEMP");

  char cwd[1000];

  char profile[1000];

  if (getcwd(cwd, 1000)) {
    printf("CWD: %s\n", cwd);
  } else {
    perror("getcwd failed");
  }

  if (chdir(APPLICATION_NAME)) {
    perror("chdir failed");
    return 10;
  }

  snprintf(profile, 1000, "%s/" APPLICATION_NAME, temp);

  if (mkdir(temp) && errno != EEXIST) {
    perror("mkdir of temp failed");
    return 10;
  }

  if (mkdir(profile) && errno != EEXIST) {
    perror("mkdir of profile failed");
    return 10;
  }

  execlp("xulrunner/xulrunner", "xulrunner/xulrunner", APPLICATION_NAME ".ini",
	 "-profile", profile,
	 NULL);

  perror("execlp failed");
  return 10;
}
