<?php
$title = 'What is VALO?';
require_once('header.inc');
?>

<h2><? echo $title; ?></h2>
<p>The objective of the VALO-CD project is to advance the global information technological and economic progress by offering free software for use by as many people as possible worldwide.
</p><p>At the same time we want to inform consumers, decisionmakers and technology providers about the advantages of free software.
</p> 

<h2>FOSS?</h2> 
<p>FOSS (Free and Open Source Software) <strong>or VALO in Finnish, which also means light,</strong> have been published with a license that guarantees the users with the rights to use, copy and modify software freely – as opposed to conventional proprietary software whose licenses have the character of limiting the rights of the users. As the source codes are available, anyone can modify the programs. Enhanced versions can be passed along as well according to the licensing terms.
</p><p>From the point of view of an ordinary user, FOSS means independence from a specific software producer. In FOSS one doesn't pay a license fee but according to a service rendered to the customer which guarantees that software businesses invest a larger share of their revenues in the development of software.
</p><p>FOSS stops dangerous monopolies from forming and enables fair, primarily quality-based competition between software.Characteristic in FOSS is also the use of free standards and file formats, which promotes interoperability and cooperation between software.
</p> 
<blockquote>"The development model of FOSS produces excellent programs for an open information society. Oppose a closed, user-restricting information society – prefer FLOSS!"</blockquote> 
<p>The greatest and best-known example of FOSS is the Linux operating system. However, this disc doesn't contain it but exclusively programs meant to be used on Windows. Meanwhile, most of the programs on VALO-CD are not dependent on the operating system and thus have Linux versions as well. Using the programs of this disc makes it easier to transition to Linux later, as most of the programs will have become familiar from the Windows side.
</p> 
<h2>Free programs?</h2> 
<p>FOSS programs can be sold for sure, but as it's not allowed to restrict their distribution, the programs are free in practise. Other consequences of the FOSS development model include:
</p> 
<dl><dt>Vendor indepence
</dt></dl> 
<dl><dd>FOSS licenses enable getting support and repair services for the software from any party.
</dd></dl> 
<dl><dt>Open development work
</dt></dl> 
<dl><dd>FOSS projects work in an open manner: they publish information on their project pages about development ideas for the software and test versions of the software in development. Participation is open as well, as the development teams are happy to accept new members who have demonstrated their skills via their work.
</dd></dl> 
<dl><dt>Public bug database
</dt></dl> 
<dl><dd>Problems are not hidden but listed in a public bug database. Anyone can report in the database an imperfection they found or help solving a problem.
</dd></dl> 
<dl><dt>Public version control
</dt></dl> 
<dl><dd>The source code is most commonly kept in a version control system, where anyone can follow precisely who has done what changes to which files. A knowledgeable person can also fix bugs themselves and submit change data files to the project developers for acceptance.
</dd></dl> 
<dl><dt>Freedom of choice
</dt></dl> 
<dl><dd>Should collaboration with some software project not work for one reason or another, anyone can at any time create a new branch of the software and develop it according to their preferences. Software development is fast because the code from other projects can be easily utilised in one's own project. This model promotes birth of new FOSS software and the users have the real freedom to choose the best software from their point of view from a really wide variety.
</dd></dl> 
<dl><dt>Standard conformance
</dt></dl> 
<dl><dd>It's typical of FOSS to follow common standards whenever it makes any sense. This way the programs are widely compatible with other software. FOSS projects don't intend to gain or maintain a dominant position in the market but the primary intent is to develop good software that serves well its users.
</dd></dl> 
<dl><dt>Security and overall quality
</dt></dl> 
<dl><dd>As the work is public and the primary purpose is to serve users (the developers are most commonly users themselves), nobody has the interest to make anything else but secure and quality code. Because the code is public, the security is based on good architectural solutions as opposed to secrecy.
</dd></dl> 
<h2>Even FOSS isn't end-all</h2> 
<p>Even though the way FOSS produces software is better than the closed models, one has to remember that it isn't perfect either. In the end, each software reflects on its developers and thus quality varies.
</p><p>Practise has however shown that in the long term the evolution-like software development method of FOSS produces the best software.
</p> 

<h2>Try for yourself!</h2> 
<p>Start by trying out the programs on this disc and by getting to know the communities and corporations behind them.
</p> 
<h2>More information</h2> 
<p>The easiest place to find more information on FOSS worldwide is the <a href="http://portal.unesco.org/">Free &amp; Open Source Software Portal</a> by UNESCO.
</p> 

<?php

require_once('footer.inc');
